summarylogtreecommitdiffstats
path: root/leafview.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-05 10:52:51 +0800
committerzxp198210052023-12-05 10:52:51 +0800
commitba4899c7c4110534a0e2fa3d8fd2db701e4b8461 (patch)
tree8d12390ded5e17dcee9bf32168be4b20e69889f0 /leafview.sh
parentf98ed8f7b9d626944dd7524cb55527af9b64f08b (diff)
downloadaur-ba4899c7c4110534a0e2fa3d8fd2db701e4b8461.tar.gz
update to 2.8.0
Diffstat (limited to 'leafview.sh')
-rw-r--r--leafview.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/leafview.sh b/leafview.sh
index 8d1637a9afd5..2ec4412e5c4f 100644
--- a/leafview.sh
+++ b/leafview.sh
@@ -1,13 +1,14 @@
#!/bin/bash
-APPDIR="/usr/lib/leafview"
-export PATH="${APPDIR}:${PATH}"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
export ELECTRON_IS_DEV=0
-#export LD_LIBRARY_PATH="${APPDIR}/lib:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- cd $APPDIR
- exec electron@electronversion@ ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- cd $APPDIR
- exec electron@electronversion@ ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file